Weak::PanamaMAC< B > Class Template Reference

Panama message authentication code. More...

Inheritance diagram for Weak::PanamaMAC< B >:

## Public Member Functions

| PanamaMAC (const byte *key, unsigned int length)
Public Member Functions inherited from HermeticHashFunctionMAC< PanamaHash< LittleEndian > >
void | UncheckedSetKey (const byte *key, unsigned int length, const NameValuePairs &params)
void | Restart ()
void | Update (const byte *input, size_t length)
void | TruncatedFinal (byte *digest, size_t digestSize)
unsigned int | DigestSize () const
unsigned int | BlockSize () const
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class B = LittleEndian>
class Weak::PanamaMAC< B >

Panama message authentication code.

Definition at line 123 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h